import * as $dara from '@darabonba/typescript';
import { CreateEnhancedVpnGatewayResponseBody } from "./CreateEnhancedVpnGatewayResponseBody";
export declare class CreateEnhancedVpnGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateEnhancedVpnGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
